
Ryzom - Bug # 851

Status: Closed Priority: Normal
Author: ratmice Category: Client: General
Created: 05/08/2010 Assignee: vl
Updated: 07/28/2010 Due date:
Subject: misc linux patches
Description

#ifdef out windows stuff on linux,
fix a 64 bit issue,
ugly hack for TRUE/FALSE,
fix #include path,

avoid globbing some directories because of the existence of Backup*.cpp
couldn't figure out how to remove files with spaces from the SRC list.

History
#1 - 05/08/2010 03:14 pm - kervala

Thanks a lot for your patch.

FALSE and TRUE are only defined on Windows and libcurl uses 0 or 1 so I think it's useless to define them for Linux (FALSE is used only 1 time).

About void* to uint32 cast, we preferred cast them to (size_t) even if it's ugly, but we are planning to replace libwww by libcurl :)

64 bits fixes are centralized in http://dev.ryzom.com/issues/853

#2 - 05/11/2010 06:17 pm - vl
- Status changed from New to Resolved
- Assignee set to vl
- % Done changed from 0 to 100

This patch contains lot of different things.

Can you please create a specific patch and a new issue for cmake specific thing if they are not already fixed?

Same for the sound patch.

#3 - 05/11/2010 06:41 pm - ratmice

vl: everything but cmake stuff seems to be in,

posted cmake stuff in feature #842 the cmake bug.

#4 - 05/18/2010 10:21 am - vl
- Target version set to Version 0.8.0
#5 - 05/28/2010 05:23 pm - vl
- Status changed from Resolved to Closed

#6 - 07/28/2010 10:17 am - kervala
- Category set to Client: General

Files
misc.diff 4 kB 05/08/2010 ratmice
